Models
Models
GET /api/v1/models
Get Models
Response
Type: []Model
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
can_inference | bool | |
kind | string | |
config | string | |
application_id | string | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
auto_convert | bool | |
privacy_enabled | bool |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/modelsPOST /api/v1/models
Create Model
Request Body
Type: Model
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
can_inference | bool | |
kind | string | |
config | string | |
application_id | string | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
auto_convert | bool | |
privacy_enabled | bool |
Response
Type: Model
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
can_inference | bool | |
kind | string | |
config | string | |
application_id | string | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
auto_convert | bool | |
privacy_enabled | bool |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/modelsGET /api/v1/models/{id}
Get Model
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: Model
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
can_inference | bool | |
kind | string | |
config | string | |
application_id | string | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
auto_convert | bool | |
privacy_enabled | bool |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/models/{id}PUT /api/v1/models/{id}
Update Model
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Request Body
Type: Model
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
can_inference | bool | |
kind | string | |
config | string | |
application_id | string | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
auto_convert | bool | |
privacy_enabled | bool |
Response
Type: Model
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
can_inference | bool | |
kind | string | |
config | string | |
application_id | string | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
auto_convert | bool | |
privacy_enabled | bool |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/models/{id}DELETE /api/v1/models/{id}
Delete Model
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/models/{id}GET /api/v1/models/{id}/download/{asset_type}
Get download
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
asset_type | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/models/{id}/download/{asset_type}GET /api/v1/models/{id}/logo
Get Model Logo
downloadModelLogo serves the logo for a model from files/models/{id}/
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/models/{id}/logoPOST /api/v1/models/{id}/upload
Create Model
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: ModelVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
model_id | string | |
user_id | string | |
can_inference | bool | |
has_logo | bool | |
logo | string | |
config | string | |
application_id | string | |
version | string | |
version_number | uint | |
has_ml_model | bool | |
has_onnx_model | bool | |
has_onnx_int8_model | bool | |
has_tflite_model | bool | |
has_labels_file | bool | |
has_lora_adapter | bool | |
dataset_id | string | |
dataset_version_id | string | |
job_id | string | |
metrics | []Metric |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/models/{id}/upload